Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaFaultWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaFaultWriter

All Implemented Interfaces:
  Generator

public class JavaFaultWriter
extends JavaClassWriter

This is Wsdl2java's Fault Writer. It writes the .java file.

NOTE: This only writes simple type faults, the JavaTypeWriter emits faults that are complex types.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`protected` | `JavaFaultWriter(Emitter emitter, SymbolTable symbolTable, FaultInfo faultInfo)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Return "extends org.apache.axis.AxisFault ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the Fault file.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaFaultWriter

    protected JavaFaultWriter(Emitter emitter,
                              SymbolTable symbolTable,
                              FaultInfo faultInfo)

  Constructor.

Parameters:
  `emitter` -
  `symbolTable` -
  `faultInfo` -

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Return "extends org.apache.axis.AxisFault ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the Fault file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.